{% extends "base.html" %}

{% block content %}
    <div class="panel panel-success">
        <!-- Default panel contents -->
        <div class="panel-heading">Для воспроизведения нажмите на <span class="glyphicon glyphicon-play" aria-hidden="true"> </span> трек <br/>
            <audio controls="controls" autoplay="autoplay"><source src="../" type="audio/mp3"></audio><br/>
            Что бы увидеть работу Вебсокета - откройте консоль F12 / Console и Вторую вкладку и попереключайте песни
            </div>
        <!-- Table -->
        <table class="table">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Название Песни</th>
                    <th>Исполнитель</th>
                    <th>Альбом</th>
                    <th>Длительность</th>
                    <th>Добавил</th>
                    <th>Дата</th>
                </tr>
            </thead>
                {% for song in songs %}
                    <tr>
                        <td>{{ song.id }}</td>
                        <td><a href="javascript:void(0);" onclick="playSong('{{song.song}}')">
                            <span class="glyphicon glyphicon-play" aria-hidden="true"> </span>{{ song. song}}</a><br></td>
                        <td>{{ song.artist }}</td>
                        <td>{{ song.album }}</td>
                        <td>{{ song.duration }}</td>
                        <td>{{ song.uploader }}</td>
                        <td>{{ song.upload_date }}</td>
                    </tr>
                {% end %}
        </table>
        <script type="text/javascript">
            function playSong(song) {
                var xhr = new XMLHttpRequest();
                var user = 'Anonim'
                var body = 'song=' + encodeURIComponent(song) + '&user=' + encodeURIComponent(user);
                xhr.open("POST", '/', true);
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                xhr.send(body);
                $('audio').attr('src', '../'+song)
            }
        </script>
    </div>
{% end %}


